package com.ruoyi.hezhi.mapper;

import com.ruoyi.hezhi.domain.TbMemberScore;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 用户积分详情Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-31
 */
public interface TbMemberScoreMapper
{
    /**
     * 查询用户积分详情
     *
     * @param memberScoreId 用户积分详情主键
     * @return 用户积分详情
     */
    public TbMemberScore selectTbMemberScoreByMemberScoreId(Long memberScoreId);

    /**
     * 查询用户积分详情列表
     *
     * @param tbMemberScore 用户积分详情
     * @return 用户积分详情集合
     */
    public List<TbMemberScore> selectTbMemberScoreList(TbMemberScore tbMemberScore);

    /**
     * 新增用户积分详情
     *
     * @param tbMemberScore 用户积分详情
     * @return 结果
     */
    public int insertTbMemberScore(TbMemberScore tbMemberScore);

    /**
     * 修改用户积分详情
     *
     * @param tbMemberScore 用户积分详情
     * @return 结果
     */
    public int updateTbMemberScore(TbMemberScore tbMemberScore);

    /**
     * 删除用户积分详情
     *
     * @param memberScoreId 用户积分详情主键
     * @return 结果
     */
    public int deleteTbMemberScoreByMemberScoreId(Long memberScoreId);

    /**
     * 批量删除用户积分详情
     *
     * @param memberScoreIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbMemberScoreByMemberScoreIds(Long[] memberScoreIds);

    /**
     * 批量删除用户积分详情
     *
     * @param studentIds 需要删除的学员ID集合
     * @return 结果
     */
    public int deleteTbMemberScoreByStudentId(Long[] studentIds);

    /**
     * 我的积分列表
     *
     * @param params 参数
     * @return 我的积分列表
     */
    public List<Map<String, Object>> getMemberScoreList(Map<String, Object> params);

    /**
     * 我的积分
     *
     * @param params 参数
     * @return 我的积分
     */
    public Map<String, Object> getMemberScore(Map<String, Object> params);
}
